curl https://api.stablegenius.co/v1/payment-intents/pi_xyz789 \ -H "Authorization: Bearer sk_test_abc123"
{ "id": "pi_xyz789", "object": "payment_intent", "status": "confirmed", "amount": 4.50, "currency": "usd", "net_amount": 4.455, "fee": 0.045, "merchant_id": "mer_abc123", "payment_address": "0x1a2b3c4d5e6f7890abcdef1234567890abcdef12", "chain": "base", "token": "USDC", "qr_payload": "ethereum:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913@8453/transfer?address=0x1a2b3c4d5e6f7890abcdef1234567890abcdef12&uint256=4500000", "qr_image_url": "https://api.stablegenius.co/v1/qr/pi_xyz789.png", "tx_hash": "0xabc123def456789012345678901234567890abcdef", "confirmed_at": "2026-04-01T20:00:12Z", "expires_at": "2026-04-01T20:05:00Z", "metadata": { "order_id": "order_456" }, "created_at": "2026-04-01T20:00:00Z" }
Retrieve a payment intent by ID
Documentation IndexFetch the complete documentation index at: https://docs.stablegenius.co/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.stablegenius.co/llms.txt
Use this file to discover all available pages before exploring further.
pi_*